
_main:

;Temp_OW_CAN.c,29 :: 		void main()
;Temp_OW_CAN.c,31 :: 		Init();
	CALL        _Init+0, 0
;Temp_OW_CAN.c,33 :: 		do{
L_main0:
;Temp_OW_CAN.c,34 :: 		LATC.B0 ^=1;  // Blink Run led
	BTG         LATC+0, 0 
;Temp_OW_CAN.c,35 :: 		ReadCan();    // Read CAN and check if read temp command is received,
	CALL        _ReadCan+0, 0
;Temp_OW_CAN.c,37 :: 		if(RxTx_Data[0] == 'T'){WriteCan();RxTx_Data[0] = 0;}
	MOVF        _RxTx_Data+0, 0 
	XORLW       84
	BTFSS       STATUS+0, 2 
	GOTO        L_main3
	CALL        _WriteCan+0, 0
	CLRF        _RxTx_Data+0 
L_main3:
;Temp_OW_CAN.c,38 :: 		Delay_ms(80);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
;Temp_OW_CAN.c,39 :: 		}while (1);
	GOTO        L_main0
;Temp_OW_CAN.c,40 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_ReadTempSensor:

;Temp_OW_CAN.c,43 :: 		unsigned int ReadTempSensor()
;Temp_OW_CAN.c,45 :: 		unsigned int temp = 0;
	CLRF        ReadTempSensor_temp_L0+0 
	CLRF        ReadTempSensor_temp_L0+1 
;Temp_OW_CAN.c,47 :: 		Ow_Reset(&PORTA, 5);         // Onewire reset signal
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;Temp_OW_CAN.c,48 :: 		Ow_Write(&PORTA, 5,0xCC);    // Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Temp_OW_CAN.c,49 :: 		Ow_Write(&PORTA, 5,0x44);    // Issue command CONVERT_T
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Temp_OW_CAN.c,50 :: 		Delay_us(120);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       141
	MOVWF       R13, 0
L_ReadTempSensor5:
	DECFSZ      R13, 1, 1
	BRA         L_ReadTempSensor5
	DECFSZ      R12, 1, 1
	BRA         L_ReadTempSensor5
	NOP
	NOP
;Temp_OW_CAN.c,52 :: 		Ow_Reset(&PORTA, 5);
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;Temp_OW_CAN.c,53 :: 		Ow_Write(&PORTA, 5,0xCC);    // Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Temp_OW_CAN.c,54 :: 		Ow_Write(&PORTA, 5,0xBE);    // Issue command READ_SCRATCHPAD
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;Temp_OW_CAN.c,56 :: 		temp =  Ow_Read(&PORTA,5);
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       ReadTempSensor_temp_L0+0 
	MOVLW       0
	MOVWF       ReadTempSensor_temp_L0+1 
;Temp_OW_CAN.c,57 :: 		temp = (Ow_Read(&PORTA,5)<< 8) + temp;
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        ReadTempSensor_temp_L0+0, 0 
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVF        ReadTempSensor_temp_L0+1, 0 
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       ReadTempSensor_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       ReadTempSensor_temp_L0+1 
;Temp_OW_CAN.c,58 :: 		return temp;
;Temp_OW_CAN.c,59 :: 		}
L_end_ReadTempSensor:
	RETURN      0
; end of _ReadTempSensor

_ReadCan:

;Temp_OW_CAN.c,62 :: 		void ReadCan(void)
;Temp_OW_CAN.c,64 :: 		Msg_Rcvd = CANRead(&Rx_ID,RxTx_Data,&Rx_Data_Len,&Can_Rcv_Flags);
	MOVLW       _Rx_ID+0
	MOVWF       FARG_CANRead_id+0 
	MOVLW       hi_addr(_Rx_ID+0)
	MOVWF       FARG_CANRead_id+1 
	MOVLW       _RxTx_Data+0
	MOVWF       FARG_CANRead_data_+0 
	MOVLW       hi_addr(_RxTx_Data+0)
	MOVWF       FARG_CANRead_data_+1 
	MOVLW       _Rx_Data_Len+0
	MOVWF       FARG_CANRead_dataLen+0 
	MOVLW       hi_addr(_Rx_Data_Len+0)
	MOVWF       FARG_CANRead_dataLen+1 
	MOVLW       _Can_Rcv_Flags+0
	MOVWF       FARG_CANRead_CAN_RX_MSG_FLAGS+0 
	MOVLW       hi_addr(_Can_Rcv_Flags+0)
	MOVWF       FARG_CANRead_CAN_RX_MSG_FLAGS+1 
	CALL        _CANRead+0, 0
	MOVF        R0, 0 
	MOVWF       _Msg_Rcvd+0 
;Temp_OW_CAN.c,65 :: 		if(Msg_Rcvd !=0){
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_ReadCan6
;Temp_OW_CAN.c,66 :: 		Msg_Rcvd = 0; //clear Rx Flag
	CLRF        _Msg_Rcvd+0 
;Temp_OW_CAN.c,67 :: 		switch (Rx_ID)
	GOTO        L_ReadCan7
;Temp_OW_CAN.c,69 :: 		case 0x211:
L_ReadCan9:
;Temp_OW_CAN.c,70 :: 		LATC.B1 ^=1; // Blink Rx Led ID0x211 is received
	BTG         LATC+0, 1 
;Temp_OW_CAN.c,71 :: 		break;
	GOTO        L_ReadCan8
;Temp_OW_CAN.c,72 :: 		case 0x213:
L_ReadCan10:
;Temp_OW_CAN.c,73 :: 		asm nop;   // do nothing
	NOP
;Temp_OW_CAN.c,74 :: 		break;
	GOTO        L_ReadCan8
;Temp_OW_CAN.c,75 :: 		}//end switch
L_ReadCan7:
	MOVLW       0
	MOVWF       R0 
	XORWF       _Rx_ID+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan14
	MOVF        R0, 0 
	XORWF       _Rx_ID+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan14
	MOVLW       2
	XORWF       _Rx_ID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan14
	MOVF        _Rx_ID+0, 0 
	XORLW       17
L__ReadCan14:
	BTFSC       STATUS+0, 2 
	GOTO        L_ReadCan9
	MOVLW       0
	MOVWF       R0 
	XORWF       _Rx_ID+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan15
	MOVF        R0, 0 
	XORWF       _Rx_ID+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan15
	MOVLW       2
	XORWF       _Rx_ID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadCan15
	MOVF        _Rx_ID+0, 0 
	XORLW       19
L__ReadCan15:
	BTFSC       STATUS+0, 2 
	GOTO        L_ReadCan10
L_ReadCan8:
;Temp_OW_CAN.c,76 :: 		}//end if
L_ReadCan6:
;Temp_OW_CAN.c,77 :: 		}//end ReadCan
L_end_ReadCan:
	RETURN      0
; end of _ReadCan

_WriteCan:

;Temp_OW_CAN.c,80 :: 		void WriteCan(void)
;Temp_OW_CAN.c,82 :: 		unsigned int TempRaw = 0;
;Temp_OW_CAN.c,83 :: 		TempRaw = (ReadTempSensor()/0.01);//range 0-12500
	CALL        _ReadTempSensor+0, 0
	CALL        _Word2Double+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       120
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	CALL        _Double2Word+0, 0
;Temp_OW_CAN.c,84 :: 		RxTx_Data[0] =(TempRaw &0xFF); //Raw Temp values in byte 0 and 1 Intel format
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       _RxTx_Data+0 
;Temp_OW_CAN.c,85 :: 		RxTx_Data[1] =(TempRaw >>8);
	MOVF        R1, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R2, 0 
	MOVWF       _RxTx_Data+1 
;Temp_OW_CAN.c,86 :: 		RxTx_Data[2]= 0;
	CLRF        _RxTx_Data+2 
;Temp_OW_CAN.c,87 :: 		RxTx_Data[3]= 0;
	CLRF        _RxTx_Data+3 
;Temp_OW_CAN.c,88 :: 		RxTx_Data[4]= 0;
	CLRF        _RxTx_Data+4 
;Temp_OW_CAN.c,89 :: 		RxTx_Data[5]= 0;
	CLRF        _RxTx_Data+5 
;Temp_OW_CAN.c,90 :: 		RxTx_Data[6]= 0;
	CLRF        _RxTx_Data+6 
;Temp_OW_CAN.c,91 :: 		RxTx_Data[7]= 0;
	CLRF        _RxTx_Data+7 
;Temp_OW_CAN.c,92 :: 		Tx_Data_Len = 8;
	MOVLW       8
	MOVWF       _Tx_Data_Len+0 
;Temp_OW_CAN.c,93 :: 		Tx_ID = 0x210;
	MOVLW       16
	MOVWF       _Tx_ID+0 
	MOVLW       2
	MOVWF       _Tx_ID+1 
	MOVLW       0
	MOVWF       _Tx_ID+2 
	MOVWF       _Tx_ID+3 
;Temp_OW_CAN.c,94 :: 		CANWrite(Tx_ID,RxTx_Data,Tx_Data_Len,Can_Send_Flags);
	MOVLW       16
	MOVWF       FARG_CANWrite_id+0 
	MOVLW       2
	MOVWF       FARG_CANWrite_id+1 
	MOVLW       0
	MOVWF       FARG_CANWrite_id+2 
	MOVLW       0
	MOVWF       FARG_CANWrite_id+3 
	MOVLW       _RxTx_Data+0
	MOVWF       FARG_CANWrite_data_+0 
	MOVLW       hi_addr(_RxTx_Data+0)
	MOVWF       FARG_CANWrite_data_+1 
	MOVLW       8
	MOVWF       FARG_CANWrite_DataLen+0 
	MOVF        _Can_Send_Flags+0, 0 
	MOVWF       FARG_CANWrite_CAN_TX_MSG_FLAGS+0 
	CALL        _CANWrite+0, 0
;Temp_OW_CAN.c,95 :: 		LATC.B2 ^=1; //Blink Tx Led
	BTG         LATC+0, 2 
;Temp_OW_CAN.c,96 :: 		}
L_end_WriteCan:
	RETURN      0
; end of _WriteCan

_Init:

;Temp_OW_CAN.c,99 :: 		void Init(void)
;Temp_OW_CAN.c,101 :: 		ADCON1 = 0x0F;
	MOVLW       15
	MOVWF       ADCON1+0 
;Temp_OW_CAN.c,102 :: 		CMCON = 0x07;
	MOVLW       7
	MOVWF       CMCON+0 
;Temp_OW_CAN.c,103 :: 		TRISC.B0 = 0; // RC0 output Run led
	BCF         TRISC+0, 0 
;Temp_OW_CAN.c,104 :: 		TRISC.B1 = 0; // RC1 output Rx led
	BCF         TRISC+0, 1 
;Temp_OW_CAN.c,105 :: 		TRISC.B2 = 0; // RC2 output Tx led
	BCF         TRISC+0, 2 
;Temp_OW_CAN.c,106 :: 		LATC = 0;     // switch all leds off
	CLRF        LATC+0 
;Temp_OW_CAN.c,110 :: 		Can_Init_Flags = 0;                    //
	CLRF        _Can_Init_Flags+0 
;Temp_OW_CAN.c,111 :: 		Can_Send_Flags = 0;                    // clear flags
	CLRF        _Can_Send_Flags+0 
;Temp_OW_CAN.c,112 :: 		Can_Rcv_Flags  = 0;                    //
	CLRF        _Can_Rcv_Flags+0 
;Temp_OW_CAN.c,116 :: 		_CAN_TX_NO_RTR_FRAME;
	MOVLW       252
	MOVWF       _Can_Send_Flags+0 
;Temp_OW_CAN.c,123 :: 		_CAN_CONFIG_LINE_FILTER_OFF;
	MOVLW       185
	MOVWF       _Can_Init_Flags+0 
;Temp_OW_CAN.c,125 :: 		CANInitialize(1,4,5,3,1,Can_Init_Flags);   //500Kb/sec @40Mhz
	MOVLW       1
	MOVWF       FARG_CANInitialize_SJW+0 
	MOVLW       4
	MOVWF       FARG_CANInitialize_BRP+0 
	MOVLW       5
	MOVWF       FARG_CANInitialize_PHSEG1+0 
	MOVLW       3
	MOVWF       FARG_CANInitialize_PHSEG2+0 
	MOVLW       1
	MOVWF       FARG_CANInitialize_PROPSEG+0 
	MOVLW       185
	MOVWF       FARG_CANInitialize_CAN_CONFIG_FLAGS+0 
	CALL        _CANInitialize+0, 0
;Temp_OW_CAN.c,126 :: 		CANSetOperationMode(_CAN_MODE_CONFIG,0xFF); // set CONFIGURATION mode
	MOVLW       128
	MOVWF       FARG_CANSetOperationMode_mode+0 
	MOVLW       255
	MOVWF       FARG_CANSetOperationMode_WAIT+0 
	CALL        _CANSetOperationMode+0, 0
;Temp_OW_CAN.c,127 :: 		CANSetMask(_CAN_MASK_B1,-1,_CAN_CONFIG_STD_MSG); // set all mask1 bits to ones
	CLRF        FARG_CANSetMask_CAN_MASK+0 
	MOVLW       255
	MOVWF       FARG_CANSetMask_val+0 
	MOVLW       255
	MOVWF       FARG_CANSetMask_val+1 
	MOVWF       FARG_CANSetMask_val+2 
	MOVWF       FARG_CANSetMask_val+3 
	MOVLW       255
	MOVWF       FARG_CANSetMask_CAN_CONFIG_FLAGS+0 
	CALL        _CANSetMask+0, 0
;Temp_OW_CAN.c,128 :: 		CANSetMask(_CAN_MASK_B2,-1,_CAN_CONFIG_STD_MSG); // set all mask2 bits to ones
	MOVLW       1
	MOVWF       FARG_CANSetMask_CAN_MASK+0 
	MOVLW       255
	MOVWF       FARG_CANSetMask_val+0 
	MOVLW       255
	MOVWF       FARG_CANSetMask_val+1 
	MOVWF       FARG_CANSetMask_val+2 
	MOVWF       FARG_CANSetMask_val+3 
	MOVLW       255
	MOVWF       FARG_CANSetMask_CAN_CONFIG_FLAGS+0 
	CALL        _CANSetMask+0, 0
;Temp_OW_CAN.c,129 :: 		CANSetFilter(_CAN_FILTER_B1_F1,0x211,_CAN_CONFIG_STD_MSG);
	CLRF        FARG_CANSetFilter_CAN_FILTER+0 
	MOVLW       17
	MOVWF       FARG_CANSetFilter_val+0 
	MOVLW       2
	MOVWF       FARG_CANSetFilter_val+1 
	MOVLW       0
	MOVWF       FARG_CANSetFilter_val+2 
	MOVWF       FARG_CANSetFilter_val+3 
	MOVLW       255
	MOVWF       FARG_CANSetFilter_CAN_CONFIG_FLAGS+0 
	CALL        _CANSetFilter+0, 0
;Temp_OW_CAN.c,130 :: 		CANSetOperationMode(_CAN_MODE_NORMAL,0xFF); // set NORMAL mode
	CLRF        FARG_CANSetOperationMode_mode+0 
	MOVLW       255
	MOVWF       FARG_CANSetOperationMode_WAIT+0 
	CALL        _CANSetOperationMode+0, 0
;Temp_OW_CAN.c,131 :: 		}
L_end_Init:
	RETURN      0
; end of _Init
