
_Timer1Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;Temp_Ow_CAN_Master.c,74 :: 		void Timer1Int() iv IVT_ADDR_T1INTERRUPT
;Temp_Ow_CAN_Master.c,76 :: 		T1IF_bit = 0;        // Clear T1IF
	BCLR	T1IF_bit, #3
;Temp_Ow_CAN_Master.c,77 :: 		if(Flag.FanOn){Flag.getTemp = TRUE;}
	MOV	#lo_addr(_Flag), W0
	BTSS	[W0], #1
	GOTO	L_Timer1Int0
	MOV	#lo_addr(_Flag), W0
	BSET	[W0], #0
	GOTO	L_Timer1Int1
L_Timer1Int0:
;Temp_Ow_CAN_Master.c,78 :: 		else{Flag.getTemp = FALSE;}
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #0
L_Timer1Int1:
;Temp_Ow_CAN_Master.c,79 :: 		}
L_end_Timer1Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _Timer1Int

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;Temp_Ow_CAN_Master.c,83 :: 		void main()
;Temp_Ow_CAN_Master.c,88 :: 		Init();
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CALL	_Init
;Temp_Ow_CAN_Master.c,92 :: 		LcdInit();
	CALL	_LcdInit
;Temp_Ow_CAN_Master.c,96 :: 		Flag.getTemp = FALSE;//Do not request Temp
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #0
;Temp_Ow_CAN_Master.c,97 :: 		Flag.FanOn = FALSE;  // Not used
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #1
;Temp_Ow_CAN_Master.c,98 :: 		OldState = NewState = 0; // put button scate to know state
	MOV	#lo_addr(_NewState), W1
	CLR	W0
	MOV.B	W0, [W1]
	MOV	#lo_addr(_OldState), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,99 :: 		temp = 0;
	CLR	W0
	MOV	W0, _temp
;Temp_Ow_CAN_Master.c,103 :: 		do
L_main2:
;Temp_Ow_CAN_Master.c,106 :: 		if (Button(&PORTB,0,300,0))
	CLR	W13
	MOV	#300, W12
	CLR	W11
	MOV	#lo_addr(PORTB), W10
	CALL	_Button
	CP0	W0
	BRA NZ	L__main21
	GOTO	L_main5
L__main21:
;Temp_Ow_CAN_Master.c,108 :: 		NewState = OldState ^=1;
	MOV	#lo_addr(_OldState), W0
	ZE	[W0], W0
	XOR	W0, #1, W1
	MOV	#lo_addr(_OldState), W0
	MOV.B	W1, [W0]
	MOV	#lo_addr(_NewState), W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,109 :: 		if(NewState==TRUE){Flag.FanOn = TRUE;LATC.B1 = TRUE;}
	CP.B	W1, #1
	BRA Z	L__main22
	GOTO	L_main6
L__main22:
	MOV	#lo_addr(_Flag), W0
	BSET	[W0], #1
	BSET	LATC, #1
	GOTO	L_main7
L_main6:
;Temp_Ow_CAN_Master.c,110 :: 		else{Flag.FanOn = FALSE;LATC.B1 = FALSE;}
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #1
	BCLR	LATC, #1
L_main7:
;Temp_Ow_CAN_Master.c,111 :: 		OldState = NewState;
	MOV	#lo_addr(_OldState), W1
	MOV	#lo_addr(_NewState), W0
	MOV.B	[W0], [W1]
;Temp_Ow_CAN_Master.c,112 :: 		}
L_main5:
;Temp_Ow_CAN_Master.c,114 :: 		WriteCan();
	CALL	_WriteCan
;Temp_Ow_CAN_Master.c,116 :: 		ReadCan();
	CALL	_ReadCan
;Temp_Ow_CAN_Master.c,118 :: 		if(Flag.FanOn){Display_Temperature(temp);}
	MOV	#lo_addr(_Flag), W0
	BTSS	[W0], #1
	GOTO	L_main8
	MOV	_temp, W10
	CALL	_Display_Temperature
	GOTO	L_main9
L_main8:
;Temp_Ow_CAN_Master.c,119 :: 		else {Display_Temperature(temp = 0);}
	CLR	W0
	MOV	W0, _temp
	CLR	W10
	CALL	_Display_Temperature
L_main9:
;Temp_Ow_CAN_Master.c,120 :: 		}while(1);
	GOTO	L_main2
;Temp_Ow_CAN_Master.c,121 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_Display_Temperature:
	LNK	#2

;Temp_Ow_CAN_Master.c,124 :: 		void Display_Temperature(unsigned int temp2write)
;Temp_Ow_CAN_Master.c,131 :: 		if (temp2write & 0x8000) {
	PUSH	W10
	PUSH	W11
	PUSH	W12
	BTSS	W10, #15
	GOTO	L_Display_Temperature10
;Temp_Ow_CAN_Master.c,132 :: 		text[0] = '-';
	MOV	_text, W1
	MOV.B	#45, W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,133 :: 		temp2write = ~temp2write + 1;
	MOV	W10, W0
	COM	W0
	INC	W0
	MOV	W0, W10
;Temp_Ow_CAN_Master.c,134 :: 		}
L_Display_Temperature10:
;Temp_Ow_CAN_Master.c,137 :: 		temp_whole = temp2write >> RES_SHIFT ;
	LSR	W10, #1, W1
; temp_whole start address is: 6 (W3)
	MOV.B	W1, W3
;Temp_Ow_CAN_Master.c,138 :: 		TempAct = temp_whole;
	MOV	#lo_addr(_TempAct), W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,140 :: 		if (temp_whole/100)
	ZE	W1, W0
	MOV	#100, W2
	REPEAT	#17
	DIV.S	W0, W2
	CP0	W0
	BRA NZ	L__Display_Temperature25
	GOTO	L_Display_Temperature11
L__Display_Temperature25:
;Temp_Ow_CAN_Master.c,141 :: 		text[0] = temp_whole/100  + 48;
	MOV	_text, W0
	MOV	W0, [W14+0]
	ZE	W3, W0
	MOV	#100, W2
	REPEAT	#17
	DIV.S	W0, W2
	MOV	W0, W1
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
	GOTO	L_Display_Temperature12
L_Display_Temperature11:
;Temp_Ow_CAN_Master.c,143 :: 		text[0] = '0';
	MOV	_text, W1
	MOV.B	#48, W0
	MOV.B	W0, [W1]
L_Display_Temperature12:
;Temp_Ow_CAN_Master.c,145 :: 		text[1] = (temp_whole/10)%10 + 48;             // Extract tens digit
	MOV	_text, W0
	INC	W0
	MOV	W0, [W14+0]
	ZE	W3, W0
	MOV	#10, W2
	REPEAT	#17
	DIV.S	W0, W2
	MOV	#10, W2
	REPEAT	#17
	DIV.S	W0, W2
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,146 :: 		text[2] =  temp_whole%10     + 48;             // Extract ones digit
	MOV	_text, W0
	INC2	W0
	MOV	W0, [W14+0]
	ZE	W3, W0
; temp_whole end address is: 6 (W3)
	MOV	#10, W2
	REPEAT	#17
	DIV.S	W0, W2
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,149 :: 		temp_fraction  = temp2write << (4-RES_SHIFT);
	SL	W10, #3, W0
;Temp_Ow_CAN_Master.c,150 :: 		temp_fraction &= 0x000F;
	AND	W0, #15, W1
;Temp_Ow_CAN_Master.c,151 :: 		temp_fraction *= 625;
	MOV	#625, W0
	MUL.UU	W1, W0, W4
; temp_fraction start address is: 6 (W3)
	MOV	W4, W3
;Temp_Ow_CAN_Master.c,154 :: 		text[4] =  temp_fraction/1000    + 48;         // Extract thousands digit
	MOV	_text, W0
	ADD	W0, #4, W0
	MOV	W0, [W14+0]
	MOV	#1000, W2
	REPEAT	#17
	DIV.U	W4, W2
	MOV	W0, W1
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,155 :: 		text[5] = (temp_fraction/100)%10 + 48;         // Extract hundreds digit
	MOV	_text, W0
	ADD	W0, #5, W0
	MOV	W0, [W14+0]
	MOV	#100, W2
	REPEAT	#17
	DIV.U	W3, W2
	MOV	#10, W2
	REPEAT	#17
	DIV.U	W0, W2
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,156 :: 		text[6] = (temp_fraction/10)%10  + 48;         // Extract tens digit
	MOV	_text, W0
	ADD	W0, #6, W0
	MOV	W0, [W14+0]
	MOV	#10, W2
	REPEAT	#17
	DIV.U	W3, W2
	MOV	#10, W2
	REPEAT	#17
	DIV.U	W0, W2
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,157 :: 		text[7] =  temp_fraction%10      + 48;         // Extract ones digit
	MOV	_text, W0
	ADD	W0, #7, W0
	MOV	W0, [W14+0]
	MOV	#10, W2
	REPEAT	#17
	DIV.U	W3, W2
; temp_fraction end address is: 6 (W3)
	MOV	#48, W0
	ADD	W1, W0, W1
	MOV	[W14+0], W0
	MOV.B	W1, [W0]
;Temp_Ow_CAN_Master.c,160 :: 		Lcd_Out(2, 5, text);
	MOV	_text, W12
	MOV	#5, W11
	MOV	#2, W10
	CALL	_Lcd_Out
;Temp_Ow_CAN_Master.c,161 :: 		}
L_end_Display_Temperature:
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _Display_Temperature

_ReadCan:

;Temp_Ow_CAN_Master.c,164 :: 		void ReadCan(void)
;Temp_Ow_CAN_Master.c,167 :: 		Msg_Rcvd = CAN2Read(&RxID , Rx_Data , &Rx_Data_Len, &Can_Rcv_Flags);
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_Can_Rcv_Flags), W13
	MOV	#lo_addr(_Rx_Data_Len), W12
	MOV	#lo_addr(_Rx_Data), W11
	MOV	#lo_addr(_RxID), W10
	CALL	_CAN2Read
	MOV	#lo_addr(_Msg_Rcvd), W1
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,168 :: 		if (Msg_Rcvd )
	CP0.B	W0
	BRA NZ	L__ReadCan27
	GOTO	L_ReadCan13
L__ReadCan27:
;Temp_Ow_CAN_Master.c,170 :: 		switch (RxID)
	GOTO	L_ReadCan14
;Temp_Ow_CAN_Master.c,172 :: 		case  0x210 :      // mask out the ID's which you need
L_ReadCan16:
;Temp_Ow_CAN_Master.c,173 :: 		temp = ((Rx_Data[1]*256) + Rx_Data[0]) * 0.01;
	MOV	#lo_addr(_Rx_Data+1), W0
	ZE	[W0], W0
	SL	W0, #8, W1
	MOV	#lo_addr(_Rx_Data), W0
	ZE	[W0], W0
	ADD	W1, W0, W0
	ASR	W0, #15, W1
	SETM	W2
	CALL	__Long2Float
	MOV	#55050, W2
	MOV	#15395, W3
	CALL	__Mul_FP
	CALL	__Float2Longint
	MOV	W0, _temp
;Temp_Ow_CAN_Master.c,174 :: 		break;
	GOTO	L_ReadCan15
;Temp_Ow_CAN_Master.c,175 :: 		case 0x200 :
L_ReadCan17:
;Temp_Ow_CAN_Master.c,176 :: 		asm nop ;
	NOP
;Temp_Ow_CAN_Master.c,177 :: 		break;
	GOTO	L_ReadCan15
;Temp_Ow_CAN_Master.c,178 :: 		}// end switch case
L_ReadCan14:
	MOV	#528, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__ReadCan28
	GOTO	L_ReadCan16
L__ReadCan28:
	MOV	#512, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__ReadCan29
	GOTO	L_ReadCan17
L__ReadCan29:
L_ReadCan15:
;Temp_Ow_CAN_Master.c,179 :: 		}
L_ReadCan13:
;Temp_Ow_CAN_Master.c,180 :: 		}
L_end_ReadCan:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _ReadCan

_WriteCan:

;Temp_Ow_CAN_Master.c,182 :: 		void WriteCan(void)
;Temp_Ow_CAN_Master.c,184 :: 		if(Flag.getTemp)
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_Flag), W0
	BTSS	[W0], #0
	GOTO	L_WriteCan18
;Temp_Ow_CAN_Master.c,186 :: 		Tx_Data[0] = 'T';
	MOV	#lo_addr(_Tx_Data), W1
	MOV.B	#84, W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,187 :: 		Tx_Data[1] = TempAct;
	MOV	#lo_addr(_Tx_Data+1), W1
	MOV	#lo_addr(_TempAct), W0
	MOV.B	[W0], [W1]
;Temp_Ow_CAN_Master.c,188 :: 		Tx_Data[2] = 0;
	MOV	#lo_addr(_Tx_Data+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,189 :: 		Tx_Data[3] = 0;
	MOV	#lo_addr(_Tx_Data+3), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,190 :: 		Tx_Data[4] = 0;
	MOV	#lo_addr(_Tx_Data+4), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,191 :: 		Tx_Data[5] = 0;
	MOV	#lo_addr(_Tx_Data+5), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,192 :: 		Tx_Data[6] = 0;
	MOV	#lo_addr(_Tx_Data+6), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,193 :: 		Tx_Data[7] = 0;
	MOV	#lo_addr(_Tx_Data+7), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,194 :: 		Tx_Data_Len = 8;
	MOV	#8, W0
	MOV	W0, _Tx_Data_Len
;Temp_Ow_CAN_Master.c,195 :: 		Tx_ID = 0x211;
	MOV	#529, W0
	MOV	#0, W1
	MOV	W0, _Tx_ID
	MOV	W1, _Tx_ID+2
;Temp_Ow_CAN_Master.c,196 :: 		CAN2Write(Tx_ID,Tx_Data, Tx_Data_Len,Can_Send_Flags);
	MOV	#8, W13
	MOV	#lo_addr(_Tx_Data), W12
	MOV	#529, W10
	MOV	#0, W11
	PUSH	_Can_Send_Flags
	CALL	_CAN2Write
	SUB	#2, W15
;Temp_Ow_CAN_Master.c,197 :: 		}
L_WriteCan18:
;Temp_Ow_CAN_Master.c,198 :: 		Flag.getTemp = FALSE;
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #0
;Temp_Ow_CAN_Master.c,199 :: 		}
L_end_WriteCan:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _WriteCan

_LcdInit:
	LNK	#18

;Temp_Ow_CAN_Master.c,201 :: 		void LcdInit(void)
;Temp_Ow_CAN_Master.c,203 :: 		Lcd_Init();                                    // Initialize LCD
	PUSH	W10
	PUSH	W11
	PUSH	W12
	CALL	_Lcd_Init
;Temp_Ow_CAN_Master.c,204 :: 		Lcd_Cmd(_LCD_CLEAR);                           // Clear LCD
	MOV.B	#1, W10
	CALL	_Lcd_Cmd
;Temp_Ow_CAN_Master.c,205 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                      // Turn cursor off
	MOV.B	#12, W10
	CALL	_Lcd_Cmd
;Temp_Ow_CAN_Master.c,206 :: 		Lcd_Out(1, 1, " Temperature:   ");
	ADD	W14, #0, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	W0, 52
	MOV	#lo_addr(?ICS?lstr2_Temp_Ow_CAN_Master), W0
	REPEAT	#16
	MOV.B	[W0++], [W1++]
	ADD	W14, #0, W0
	MOV	W0, W12
	MOV	#1, W11
	MOV	#1, W10
	CALL	_Lcd_Out
;Temp_Ow_CAN_Master.c,208 :: 		Lcd_Chr(2,13,223);   // Print degree character, 'C' for Centigrades
	MOV.B	#223, W12
	MOV	#13, W11
	MOV	#2, W10
	CALL	_Lcd_Chr
;Temp_Ow_CAN_Master.c,211 :: 		Lcd_Chr(2,14,'C');
	MOV.B	#67, W12
	MOV	#14, W11
	MOV	#2, W10
	CALL	_Lcd_Chr
;Temp_Ow_CAN_Master.c,212 :: 		}
L_end_LcdInit:
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _LcdInit

_Init:

;Temp_Ow_CAN_Master.c,214 :: 		void Init(void)
;Temp_Ow_CAN_Master.c,216 :: 		ADPCFG = 0xFFFF;       // Configure AN pins as digital
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#65535, W0
	MOV	WREG, ADPCFG
;Temp_Ow_CAN_Master.c,217 :: 		TRISBbits.TRISB0 = 1;  // RB0 as input fron switch on Fan Controller
	BSET	TRISBbits, #0
;Temp_Ow_CAN_Master.c,218 :: 		TRISCbits.TRISC1 = 0;  // Fan Led
	BCLR	TRISCbits, #1
;Temp_Ow_CAN_Master.c,220 :: 		IPC0   = IPC0 | 0x1000;   // Interrupt priority level = 1
	MOV	#4096, W1
	MOV	#lo_addr(IPC0), W0
	IOR	W1, [W0], [W0]
;Temp_Ow_CAN_Master.c,221 :: 		T1IF_bit = 0;           // Clear T1IF
	BCLR	T1IF_bit, #3
;Temp_Ow_CAN_Master.c,222 :: 		T1IE_bit =1;          // Enable Timer1 interrupts
	BSET	T1IE_bit, #3
;Temp_Ow_CAN_Master.c,223 :: 		T1CON = 0x8030;       // Timer1 ON, internal clock FCY, prescaler 1:256
	MOV	#32816, W0
	MOV	WREG, T1CON
;Temp_Ow_CAN_Master.c,225 :: 		Can_Init_Flags = 0;                              //
	CLR	W0
	MOV	W0, _Can_Init_Flags
;Temp_Ow_CAN_Master.c,226 :: 		Can_Send_Flags = 0;                              // clear flags
	CLR	W0
	MOV	W0, _Can_Send_Flags
;Temp_Ow_CAN_Master.c,227 :: 		Can_Rcv_Flags  = 0;                              //
	CLR	W0
	MOV	W0, _Can_Rcv_Flags
;Temp_Ow_CAN_Master.c,231 :: 		_CAN_TX_NO_RTR_FRAME;
	MOV	#252, W0
	MOV	W0, _Can_Send_Flags
;Temp_Ow_CAN_Master.c,238 :: 		_CAN_CONFIG_LINE_FILTER_OFF;
	MOV	#249, W0
	MOV	W0, _Can_Init_Flags
;Temp_Ow_CAN_Master.c,240 :: 		CAN2Initialize(1,2,5,3,1,Can_Init_Flags) ;  //Set baud rate 500Kb/sec
	MOV	#3, W13
	MOV	#5, W12
	MOV	#2, W11
	MOV	#1, W10
	MOV	#249, W0
	PUSH	W0
	MOV	#1, W0
	PUSH	W0
	CALL	_CAN2Initialize
	SUB	#4, W15
;Temp_Ow_CAN_Master.c,244 :: 		C2CTRL.CANCKS = 1;  // Set CAN clock to Fcy
	BSET	C2CTRL, #11
;Temp_Ow_CAN_Master.c,245 :: 		CAN2SetOperationMode(_CAN_MODE_CONFIG,0xFF); // set CONFIGURATION mode
	MOV	#255, W11
	MOV	#4, W10
	CALL	_CAN2SetOperationMode
;Temp_Ow_CAN_Master.c,246 :: 		CAN2SetMask(_CAN_MASK_B1,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	CLR	W10
	CALL	_CAN2SetMask
;Temp_Ow_CAN_Master.c,247 :: 		CAN2SetMask(_CAN_MASK_B2,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	MOV	#1, W10
	CALL	_CAN2SetMask
;Temp_Ow_CAN_Master.c,248 :: 		CAN2SetFilter(_CAN_FILTER_B1_F1,F1,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#256, W11
	MOV	#0, W12
	CLR	W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,249 :: 		CAN2SetFilter(_CAN_FILTER_B1_F2,F2,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#257, W11
	MOV	#0, W12
	MOV	#1, W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,250 :: 		CAN2SetFilter(_CAN_FILTER_B2_F1,F3,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#512, W11
	MOV	#0, W12
	MOV	#2, W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,251 :: 		CAN2SetFilter(_CAN_FILTER_B2_F2,F4,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#528, W11
	MOV	#0, W12
	MOV	#3, W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,252 :: 		CAN2SetFilter(_CAN_FILTER_B2_F3,F5,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#768, W11
	MOV	#0, W12
	MOV	#4, W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,253 :: 		CAN2SetFilter(_CAN_FILTER_B2_F4,F6,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#784, W11
	MOV	#0, W12
	MOV	#5, W10
	CALL	_CAN2SetFilter
;Temp_Ow_CAN_Master.c,254 :: 		CAN2SetOperationMode(_CAN_MODE_NORMAL,0xFF);//set normal mode
	MOV	#255, W11
	CLR	W10
	CALL	_CAN2SetOperationMode
;Temp_Ow_CAN_Master.c,255 :: 		Msg_Rcvd = 0;
	MOV	#lo_addr(_Msg_Rcvd), W1
	CLR	W0
	MOV.B	W0, [W1]
;Temp_Ow_CAN_Master.c,257 :: 		}
L_end_Init:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Init
